// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//
// Copyright (C) 1993, 1994  Microsoft Corporation.  All Rights Reserved.
//
//  MODULE:   iathread.rc
//
//  PURPOSE:  Contains the application's resources.
//
//  COMMENTS:
//


#include <windows.h>
#include <winver.h>
#include "globals.h"


// Icon resources

IDI_MAINICON  ICON APPNAME.ICO
IDI_CHILDICON ICON CHILD.ICO


// About dialog box

RCINCLUDE ABOUT.DLG
RCINCLUDE PRIORITY.DLG


// Application's main window


IDM_INITMENU MENU
BEGIN
  POPUP "&File"
    BEGIN
      MENUITEM  "&New",           IDM_FILE_NEW
      MENUITEM  SEPARATOR
      MENUITEM  "E&xit",          IDM_FILE_EXIT
    END

  POPUP "&Help"
    BEGIN
      MENUITEM  "&About...",      IDM_HELP_ABOUT
    END
END



IDM_DOCMENU MENU
BEGIN
  POPUP "&File"
    BEGIN
      MENUITEM  "&New",           IDM_FILE_NEW
      MENUITEM  "&Close",         IDM_FILE_CLOSE
      MENUITEM  SEPARATOR
      MENUITEM  "E&xit",          IDM_FILE_EXIT
    END

  POPUP "&Thread"
    BEGIN
      MENUITEM  "Set Thread's &Priority...", IDM_THREAD_PRIORITY  
      MENUITEM  "&Suspend Thread",           IDM_THREAD_SUSPEND   
      MENUITEM  "&Resume Thread",            IDM_THREAD_RESUME    
    END

  POPUP "&Window"
    BEGIN
      MENUITEM  "&Tile",         IDM_WINDOW_TILE
      MENUITEM  "&Cascade",      IDM_WINDOW_CASCADE
      MENUITEM  "Arrange &Icons",IDM_WINDOW_ICONS
      MENUITEM  "Close &All",    IDM_WINDOW_CLOSEALL
    END

  POPUP "&Help"
    BEGIN
      MENUITEM  "&About...",     IDM_HELP_ABOUT
    END
END


// String table

STRINGTABLE
BEGIN
    IDS_APPNAME,        SZAPPNAME
    IDS_DESCRIPTION,    SZDESCRIPTION
    IDS_CHILDNAME,      SZCHILDNAME
END


// Version stamping information:

VS_VERSION_INFO VERSIONINFO
FILEVERSION     4,0,0,0
PRODUCTVERSION  4,0,0,0
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE|VS_FF_DEBUG)
FILEOS          VOS_DOS_WINDOWS16
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE SZRCOMPANYNAME,   "Microsoft Corporation\0"
            VALUE SZRDESCRIPTION,   SZDESCRIPTION "\0"
            VALUE SZRVERSION,       SZVERSION "\0"
            VALUE SZRAPPNAME,       SZAPPNAME "\0"
            VALUE SZRCOPYRIGHT,     "Copyright \251 Microsoft Corp. 1990-1994\0"
            VALUE SZRTRADEMARK,     "Microsoft\256 is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation"
            VALUE SZRPRODNAME,      SZAPPNAME "\0"
            VALUE SZRPRODVER,       SZVERSION "\0"
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252
    END
END
